Bug 227027 - Review Request: ant-contrib-1.0-0.b2.1jpp - Collection of tasks for Ant
Review Request: ant-contrib-1.0-0.b2.1jpp - Collection of tasks for Ant
Status: CLOSED DUPLICATE of bug 193894
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:23 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-07 20:40:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:23:33 EST
Spec URL: http://people.redhat.com/rafaels/specs/ant-contrib-1.0-0.b2.1jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/ant-contrib-1.0-0.b2.1jpp.src.rpm
Description: The Ant-Contrib project is a collection of tasks
(and at one point maybe types and other tools)
for Apache Ant.

Javadoc for ant-contrib.

Docs for ant-contrib.
Comment 1 Vivek Lakshmanan 2007-02-12 12:33:34 EST
X suggests the subsection needs attention
+ is a positive comment
. is a specific comment about a problem

X * package is named appropriately
 - match upstream tarball or project name
   + Tarball matches upstream
 - try to match previous incarnations in other distributions/packagers for
consistency
   + Looks OK to me
 - specfile should be %{name}.spec
   + spec file matches %{name}
 - non-numeric characters should only be used in Release (ie. cvs or
   something)
   + Correct.
 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
   . The package must be named according to the Package Naming Guidelines.
     0:1.0-0.b2.1jpp should comply to Fedora + JPackage exception guidelines: 
     1:1.0-0.1.b2.1jpp.1%{?dist}
 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
   + Does not apply.

* is it legal for Fedora to distribute this?
 - OSI-approved
 - not a kernel module
 - not shareware
 - is it covered by patents?
 - it *probably* shouldn't be an emulator
 - no binary firmware
 + ASL is acceptable license, none of the other fields apply
  
* license field matches the actual license.
  + ASL 1.1
* license is open source-compatible.
 - use acronyms for licences where common
  + Apache Software License is fine
* specfile name matches %{name}
  + Correct.
* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
  + MD5 sum matches
  
* skim the summary and description for typos, etc.
  + Looks OK.

X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
   This needs to be fixed

X if %{?dist} is used, it should be in that form (note the ? and %
locations)
   . Refer to the naming comment earlier

* license text included in package and marked with %doc
  + Correct.

* keep old changelog entries; use judgement when removing (too old?
useless?)
  + Seems OK.

* packages meets FHS (http://www.pathname.com/fhs/)
  + Seems OK.

X * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there
W: ant-contrib non-standard-group Development/Libraries/Java
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

+ This can be ignored since the group seems irrelevant

W: ant-contrib class-path-in-manifest /usr/share/java/ant-contrib-1.0.jar
The META-INF/MANIFEST file in the jar contains a hardcoded Class-Path.
These entries do not work with older Java versions and even if they do work,
they are inflexible and usually cause nasty surprises.

W: ant-contrib-javadoc non-standard-group Development/Documentation
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

W: ant-contrib-javadoc dangerous-command-in-%post rm
W: ant-contrib-javadoc dangerous-command-in-%postun rm
. Please apply the following:
  https://zarb.org/pipermail/jpackage-discuss/2007-February/011119.html

W: ant-contrib-manual non-standard-group Development/Documentation
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

W: ant-contrib-manual wrong-file-end-of-line-encoding
/usr/share/doc/ant-contrib-1.0/tasks/foreach.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.
. Use sed to remove the offending characters in the %prep

W: ant-contrib-manual wrong-file-end-of-line-encoding
/usr/share/doc/ant-contrib-1.0/tasks/for.html
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

W: ant-contrib non-standard-group Development/Libraries/Java
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
"Applications/Communications", "Applications/Databases",
"Applications/Editors", "Applications/Emulators", "Applications/Engineering",
"Applications/File", "Applications/Internet", "Applications/Multimedia",
"Applications/Productivity", "Applications/Publishing", "Applications/System",
"Applications/Text", "Development/Debug", "Development/Debuggers",
"Development/Languages", "Development/Libraries", "Development/System",
"Development/Tools", "Documentation", "System Environment/Base", "System
Environment/Daemons", "System Environment/Kernel", "System
Environment/Libraries", "System Environment/Shells", "User
Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".

W: ant-contrib mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 50)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

* changelog should be in one of these formats:
  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.
  + Seems OK.

* Packager tag should not be used
  + Seems OK.

X * Vendor and disribution tag should not be used
  + Remove the above 2 tags

* use License and not Copyright 
  + Correct.

* Summary tag should not end in a period
  + Correct.
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
  + N/A

X specfile is legible
 - this is largely subjective; use your judgement
 . Seems OK overall, please try and incorporate the suggestions for javadoc
handling mentioned earlier so the %post* sections for it can be removed.

* package successfully compiles and builds on at least x86

* BuildRequires are proper
 - builds in mock will flush out problems here
 + Local build on minimal machine works, will check on mock again when resubmitted
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
* summary should be a short and concise description of the package
  + Correct
* description expands upon summary (don't include installation
instructions)
  + Correct
X make sure lines are <= 80 characters
  . The gcj_support line is massive (>80 chars) , try and reformat if possible 
* specfile written in American English
* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
* packages including libraries should exclude static libraries if possible
* don't use rpath
* config files should usually be marked with %config(noreplace)
* GUI apps should contain .desktop files
* should the package contain a -devel sub-package?
* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
   + Correct
* don't use %makeinstall
* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
* consider using cp -p to preserve timestamps
* split Requires(pre,post) into two separate lines
  + Correct
* package should probably not be relocatable
  + It is not relocatable
* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
X * package should own all directories and files
  + Since package is installing to %{_javadir} should add Requires(pre),
Requires(postun) on jpackage-utils but if the javadoc handling is fixed then a
simple requires is good enough

* there should be no %files duplicates
  + Correct.
* file permissions should be okay; %defattrs should be present
  + Correct.

* %clean should be present
  + Correct.

* %doc files should not affect runtime
  + Seems OK.

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
  + Not a web app
X * verify the final provides and requires of the binary RPMs
  . Add requires on java and jpackage-utils (Requires(x) if appropriate, see above)
X * run rpmlint on the binary RPMs
    . Above rpmlint output is for binary + srpm
SHOULD:
* package should include license text in the package and mark it with %doc
  + Correct.
* package should build on i386
  + Builds locally.

* package should build in mock
    

Comment 2 Permaine Cheung 2007-02-12 13:49:54 EST
BuildRequire: Ant is needed as well
Comment 3 Permaine Cheung 2007-02-13 00:55:22 EST
(In reply to comment #1)
> X suggests the subsection needs attention
> + is a positive comment
> . is a specific comment about a problem
> 
> X * package is named appropriately
>  - match upstream tarball or project name
>    + Tarball matches upstream
>  - try to match previous incarnations in other distributions/packagers for
> consistency
>    + Looks OK to me
>  - specfile should be %{name}.spec
>    + spec file matches %{name}
>  - non-numeric characters should only be used in Release (ie. cvs or
>    something)
>    + Correct.
>  - for non-numerics (pre-release, CVS snapshots, etc.), see
>    http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
>    . The package must be named according to the Package Naming Guidelines.
>      0:1.0-0.b2.1jpp should comply to Fedora + JPackage exception guidelines: 
>      1:1.0-0.1.b2.1jpp.1%{?dist}
Fixed.
>  - if case sensitivity is requested by upstream or you feel it should be
>    not just lowercase, do so; otherwise, use all lower case for the name
>    + Does not apply.
> 
> * is it legal for Fedora to distribute this?
>  - OSI-approved
>  - not a kernel module
>  - not shareware
>  - is it covered by patents?
>  - it *probably* shouldn't be an emulator
>  - no binary firmware
>  + ASL is acceptable license, none of the other fields apply
>   
> * license field matches the actual license.
>   + ASL 1.1
> * license is open source-compatible.
>  - use acronyms for licences where common
>   + Apache Software License is fine
> * specfile name matches %{name}
>   + Correct.
> * verify source and patches (md5sum matches upstream, know what the patches do)
>  - if upstream doesn't release source drops, put *clear* instructions on
>    how to generate the the source drop; ie. 
>   # svn export blah/tag blah
>   # tar cjf blah-version-src.tar.bz2 blah
>   + MD5 sum matches
>   
> * skim the summary and description for typos, etc.
>   + Looks OK.
> 
> X correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
>    This needs to be fixed
> 
> X if %{?dist} is used, it should be in that form (note the ? and %
> locations)
>    . Refer to the naming comment earlier
> 
> * license text included in package and marked with %doc
>   + Correct.
> 
> * keep old changelog entries; use judgement when removing (too old?
> useless?)
>   + Seems OK.
> 
> * packages meets FHS (http://www.pathname.com/fhs/)
>   + Seems OK.
> 
> X * rpmlint on <this package>.srpm gives no output
>  - justify warnings if you think they shouldn't be there
> W: ant-contrib non-standard-group Development/Libraries/Java
> The value of the Group tag in the package is not valid.  Valid groups are:
> "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> "Applications/Communications", "Applications/Databases",
> "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> "Applications/File", "Applications/Internet", "Applications/Multimedia",
> "Applications/Productivity", "Applications/Publishing", "Applications/System",
> "Applications/Text", "Development/Debug", "Development/Debuggers",
> "Development/Languages", "Development/Libraries", "Development/System",
> "Development/Tools", "Documentation", "System Environment/Base", "System
> Environment/Daemons", "System Environment/Kernel", "System
> Environment/Libraries", "System Environment/Shells", "User
> Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> 
> + This can be ignored since the group seems irrelevant
> 
> W: ant-contrib class-path-in-manifest /usr/share/java/ant-contrib-1.0.jar
> The META-INF/MANIFEST file in the jar contains a hardcoded Class-Path.
> These entries do not work with older Java versions and even if they do work,
> they are inflexible and usually cause nasty surprises.
> 
Fixed in the patch file to comment out adding the jar file into the manifest file.

> W: ant-contrib-javadoc non-standard-group Development/Documentation
> The value of the Group tag in the package is not valid.  Valid groups are:
> "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> "Applications/Communications", "Applications/Databases",
> "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> "Applications/File", "Applications/Internet", "Applications/Multimedia",
> "Applications/Productivity", "Applications/Publishing", "Applications/System",
> "Applications/Text", "Development/Debug", "Development/Debuggers",
> "Development/Languages", "Development/Libraries", "Development/System",
> "Development/Tools", "Documentation", "System Environment/Base", "System
> Environment/Daemons", "System Environment/Kernel", "System
> Environment/Libraries", "System Environment/Shells", "User
> Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> 
> W: ant-contrib-javadoc dangerous-command-in-%post rm
> W: ant-contrib-javadoc dangerous-command-in-%postun rm
> . Please apply the following:
>   https://zarb.org/pipermail/jpackage-discuss/2007-February/011119.html
> 
Fixed, please let me know if I've done it correctly. :)

> W: ant-contrib-manual non-standard-group Development/Documentation
> The value of the Group tag in the package is not valid.  Valid groups are:
> "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> "Applications/Communications", "Applications/Databases",
> "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> "Applications/File", "Applications/Internet", "Applications/Multimedia",
> "Applications/Productivity", "Applications/Publishing", "Applications/System",
> "Applications/Text", "Development/Debug", "Development/Debuggers",
> "Development/Languages", "Development/Libraries", "Development/System",
> "Development/Tools", "Documentation", "System Environment/Base", "System
> Environment/Daemons", "System Environment/Kernel", "System
> Environment/Libraries", "System Environment/Shells", "User
> Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> 
> W: ant-contrib-manual wrong-file-end-of-line-encoding
> /usr/share/doc/ant-contrib-1.0/tasks/foreach.html
> This file has wrong end-of-line encoding, usually caused by creation or
> modification on a non-Unix system. It could prevent it from being displayed
> correctly in some circumstances.
> . Use sed to remove the offending characters in the %prep
> 
Fixed in %prep
> W: ant-contrib-manual wrong-file-end-of-line-encoding
> /usr/share/doc/ant-contrib-1.0/tasks/for.html
> This file has wrong end-of-line encoding, usually caused by creation or
> modification on a non-Unix system. It could prevent it from being displayed
> correctly in some circumstances.
> 
Fixed in %prep
> W: ant-contrib non-standard-group Development/Libraries/Java
> The value of the Group tag in the package is not valid.  Valid groups are:
> "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> "Applications/Communications", "Applications/Databases",
> "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> "Applications/File", "Applications/Internet", "Applications/Multimedia",
> "Applications/Productivity", "Applications/Publishing", "Applications/System",
> "Applications/Text", "Development/Debug", "Development/Debuggers",
> "Development/Languages", "Development/Libraries", "Development/System",
> "Development/Tools", "Documentation", "System Environment/Base", "System
> Environment/Daemons", "System Environment/Kernel", "System
> Environment/Libraries", "System Environment/Shells", "User
> Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> 
> W: ant-contrib mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 50)
> The specfile mixes use of spaces and tabs for indentation, which is a
> cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
> 
Fixed
> * changelog should be in one of these formats:
>   * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
>   - And fix the link syntax.
> 
>   * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
>   - And fix the link syntax.
> 
>   * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
>   - 0.6-4
>   - And fix the link syntax.
>   + Seems OK.
> 
> * Packager tag should not be used
>   + Seems OK.
> 
> X * Vendor and disribution tag should not be used
>   + Remove the above 2 tags
> 
Done
> * use License and not Copyright 
>   + Correct.
> 
> * Summary tag should not end in a period
>   + Correct.
> * if possible, replace PreReq with Requires(pre) and/or Requires(post)
>   + N/A
> 
> X specfile is legible
>  - this is largely subjective; use your judgement
>  . Seems OK overall, please try and incorporate the suggestions for javadoc
> handling mentioned earlier so the %post* sections for it can be removed.
Done.
> 
> * package successfully compiles and builds on at least x86
> 
> * BuildRequires are proper
>  - builds in mock will flush out problems here
>  + Local build on minimal machine works, will check on mock again when resubmitted
>  - the following packages don't need to be listed in BuildRequires:
>    bash
>    bzip2
>    coreutils
>    cpio
>    diffutils
>    fedora-release (and/or redhat-release)
>    gcc
>    gcc-c++
>    gzip
>    make
>    patch
>    perl
>    redhat-rpm-config
>    rpm-build
>    sed
>    tar
>    unzip
>    which
> * summary should be a short and concise description of the package
>   + Correct
> * description expands upon summary (don't include installation
> instructions)
>   + Correct
> X make sure lines are <= 80 characters
>   . The gcj_support line is massive (>80 chars) , try and reformat if possible 
Fixed.
> * specfile written in American English
> * make a -doc sub-package if necessary
>  - see
>   
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
> * packages including libraries should exclude static libraries if possible
> * don't use rpath
> * config files should usually be marked with %config(noreplace)
> * GUI apps should contain .desktop files
> * should the package contain a -devel sub-package?
> * use macros appropriately and consistently
>  - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
>    + Correct
> * don't use %makeinstall
> * locale data handling correct (find_lang)
>  - if translations included, add BR: gettext and use %find_lang %{name} at the
>    end of %install
> * consider using cp -p to preserve timestamps
> * split Requires(pre,post) into two separate lines
>   + Correct
> * package should probably not be relocatable
>   + It is not relocatable
> * package contains code
>  - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
>  - in general, there should be no offensive content
> X * package should own all directories and files
>   + Since package is installing to %{_javadir} should add Requires(pre),
> Requires(postun) on jpackage-utils but if the javadoc handling is fixed then a
> simple requires is good enough
> 
Require: jpackage-utils added
> * there should be no %files duplicates
>   + Correct.
> * file permissions should be okay; %defattrs should be present
>   + Correct.
> 
> * %clean should be present
>   + Correct.
> 
> * %doc files should not affect runtime
>   + Seems OK.
> 
> * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
>   + Not a web app
> X * verify the final provides and requires of the binary RPMs
>   . Add requires on java and jpackage-utils (Requires(x) if appropriate, see
above)
Added Requires for both java and jpackage-utils

[pcheung@toque ~]$ rpm -qp --requires
/home/pcheung/topdir/SRPMS/ant-contr-0.1.b2.1jpp.1.src.rpm
ant
ant-junit
jpackage-utils >= 0:1.6
junit = 0:3.8.2
bcel = 0:5.1
java-gcj-compat-devel
rpmlib(CompressedFileNames) <= 3.0.4-1
[pcheung@toque ~]$ rpm -qp --provides
/home/pcheung/topdir/RPMS/i386/ant-contrib-1.0-0.1.b2.1jpp.1.i386.rpm
ant-contrib-1.0.jar.so
ant-contrib = 1:1.0-0.1.b2.1jpp.1
[pcheung@toque ~]$ rpm -qp --requires
/home/pcheung/topdir/RPMS/i386/ant-contrib-1.0-0.1.b2.1jpp.1.i386.rpm
/bin/sh
/bin/sh
ant = 0:1.6.5
bcel = 0:5.1
java
java-gcj-compat
java-gcj-compat
jpackage-utils
junit = 0:3.8.2
libc.so.6
libc.so.6(GLIBC_2.1.3)
libdl.so.2
libgcc_s.so.1
libgcc_s.so.1(GCC_3.0)
libgcc_s.so.1(GLIBC_2.0)
libgcj.so.7
libm.so.6
libpthread.so.0
libz.so.1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@toque ~]$ rpm -qp --provides
/home/pcheung/topdir/RPMS/i386/ant-contrib-javadoc-1.0-0.1.b2.1jpp.1.i386.rpm
ant-contrib-javadoc = 1:1.0-0.1.b2.1jpp.1
[pcheung@toque ~]$ rpm -qp --requires
/home/pcheung/topdir/RPMS/i386/ant-contrib-javadoc-1.0-0.1.b2.1jpp.1.i386.rpm
/bin/ln
/bin/rm
/bin/rm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@toque ~]$ rpm -qp --provides
/home/pcheung/topdir/RPMS/i386/ant-contrib-manual-1.0-0.1.b2.1jpp.1.i386.rpm
ant-contrib-manual = 1:1.0-0.1.b2.1jpp.1
[pcheung@toque ~]$ rpm -qp --requires
/home/pcheung/topdir/RPMS/i386/ant-contrib-manual-1.0-0.1.b2.1jpp.1.i386.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
[pcheung@toque ~]$ rpm -qp --provides
/home/pcheung/topdir/RPMS/i386/ant-contrib-debuginfo-1.0-0.1.b2.1jpp.1.i386.rpm
ant-contrib-1.0.jar.so.debug
ant-contrib-debuginfo = 1:1.0-0.1.b2.1jpp.1
[pcheung@toque ~]$ rpm -qp --requires
/home/pcheung/topdir/RPMS/i386/ant-contrib-debuginfo-1.0-0.1.b2.1jpp.1.i386.rpm
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

> X * run rpmlint on the binary RPMs
>     . Above rpmlint output is for binary + srpm

This is the current rpmlint output:
W: ant-contrib non-standard-group Development/Libraries/Java
W: ant-contrib non-standard-group Development/Libraries/Java
W: ant-contrib-javadoc non-standard-group Development/Documentation
W: ant-contrib-manual non-standard-group Development/Documentation

> SHOULD:
> * package should include license text in the package and mark it with %doc
>   + Correct.
> * package should build on i386
>   + Builds locally.
> 
> * package should build in mock
>     
Built in mock, and added ant, ant-junit as BRs
> 
 
i can't find how to show what I've uploaded to pcheung.108.redhat.com, will let
you know the location when i found out how.

Comment 4 Permaine Cheung 2007-02-13 00:58:38 EST
Oops... forgot to cc Vivek.
Comment 5 Permaine Cheung 2007-02-13 09:58:00 EST
spec file and srpm can be found at:
https://pcheung.108.redhat.com/servlets/ProjectDocumentList?folderID=76&expandFolder=76&folderID=0
Comment 6 Vivek Lakshmanan 2007-02-13 12:11:33 EST
>  - for non-numerics (pre-release, CVS snapshots, etc.), see
>    http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
>    . The package must be named according to the Package Naming Guidelines.
>      0:1.0-0.b2.1jpp should comply to Fedora + JPackage exception guidelines: 
Sorry. You dont need the epoch bump since the prerelease tag is alphabetic.
Could you please keep it at 0?

> W: ant-contrib-javadoc non-standard-group Development/Documentation
> The value of the Group tag in the package is not valid.  Valid groups are:
> "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> "Applications/Communications", "Applications/Databases",
> "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> "Applications/File", "Applications/Internet", "Applications/Multimedia",
> "Applications/Productivity", "Applications/Publishing", "Applications/System",
> "Applications/Text", "Development/Debug", "Development/Debuggers",
> "Development/Languages", "Development/Libraries", "Development/System",
> "Development/Tools", "Documentation", "System Environment/Base", "System
> Environment/Daemons", "System Environment/Kernel", "System
> Environment/Libraries", "System Environment/Shells", "User
> Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> 
> W: ant-contrib-javadoc dangerous-command-in-%post rm
> W: ant-contrib-javadoc dangerous-command-in-%postun rm
> . Please apply the following:
>   https://zarb.org/pipermail/jpackage-discuss/2007-February/011119.html
> 
>> Fixed, please let me know if I've done it correctly. :)
Sounds good, but actually you no longer need the unversioned jar link. Delete it
and get rid of the unversioned link

> X * package should own all directories and files
>   + Since package is installing to %{_javadir} should add Requires(pre),
> Requires(postun) on jpackage-utils but if the javadoc handling is fixed then a
> simple requires is good enough
> 
>> Require: jpackage-utils added
Also need Requires(postun) on each of the packages/subpackages add a Requires
and Requires(postun) on jpackage-util

Please change these and then I will rebuild it in mock, other than that the
package seems OK to me.

Comment 7 Permaine Cheung 2007-02-13 12:41:25 EST
(In reply to comment #6)
> >  - for non-numerics (pre-release, CVS snapshots, etc.), see
> >    http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
> >    . The package must be named according to the Package Naming Guidelines.
> >      0:1.0-0.b2.1jpp should comply to Fedora + JPackage exception guidelines: 
> Sorry. You dont need the epoch bump since the prerelease tag is alphabetic.
> Could you please keep it at 0?
> 
Done
> > W: ant-contrib-javadoc non-standard-group Development/Documentation
> > The value of the Group tag in the package is not valid.  Valid groups are:
> > "Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
> > "Applications/Communications", "Applications/Databases",
> > "Applications/Editors", "Applications/Emulators", "Applications/Engineering",
> > "Applications/File", "Applications/Internet", "Applications/Multimedia",
> > "Applications/Productivity", "Applications/Publishing", "Applications/System",
> > "Applications/Text", "Development/Debug", "Development/Debuggers",
> > "Development/Languages", "Development/Libraries", "Development/System",
> > "Development/Tools", "Documentation", "System Environment/Base", "System
> > Environment/Daemons", "System Environment/Kernel", "System
> > Environment/Libraries", "System Environment/Shells", "User
> > Interface/Desktops", "User Interface/X", "User Interface/X Hardware Support".
> > 
> > W: ant-contrib-javadoc dangerous-command-in-%post rm
> > W: ant-contrib-javadoc dangerous-command-in-%postun rm
> > . Please apply the following:
> >   https://zarb.org/pipermail/jpackage-discuss/2007-February/011119.html
> > 
> >> Fixed, please let me know if I've done it correctly. :)
> Sounds good, but actually you no longer need the unversioned jar link. Delete it
> and get rid of the unversioned link
> 
Fixed that in javadoc and manual as well.
> > X * package should own all directories and files
> >   + Since package is installing to %{_javadir} should add Requires(pre),
> > Requires(postun) on jpackage-utils but if the javadoc handling is fixed then a
> > simple requires is good enough
> > 
> >> Require: jpackage-utils added
> Also need Requires(postun) on each of the packages/subpackages add a Requires
> and Requires(postun) on jpackage-util
> 
Added
> Please change these and then I will rebuild it in mock, other than that the
> package seems OK to me.
> 
> 

spec file and srpm can be found at:
https://pcheung.108.redhat.com/files/documents/174/207/piccolo.spec
https://pcheung.108.redhat.com/files/documents/174/208/piccolo-1.04-2jpp.1.src.rpm
Comment 9 Permaine Cheung 2007-02-14 13:28:23 EST
Also added a missing BR: xerces-j2.
spec file and srpm are in the same location as
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=227027#c8
Comment 10 Permaine Cheung 2007-02-14 13:43:16 EST
This is no longer needed.
Comment 11 Jason Tibbitts 2007-02-18 00:05:20 EST
Could you elaborate on what you mean by "This is no longer needed"?  If this
package is no longer being submitted for inclusion, this ticket should be closed
and the blocker changed to "FE-DEADREVIEW".
Comment 12 Permaine Cheung 2007-02-20 10:48:22 EST
We found a work around for this dependency, I'm leaving this opened until we
have maven2 built successfully, just to make sure we haven't miss anything. Once
we have maven2 built, I will update and close it accordingly.
Comment 13 Mary Ellen Foster 2007-06-13 08:54:11 EDT
Do you no longer want to submit this? I use this package and wouldn't be sad 
if it were in Fedora ...
Comment 14 Fabian Affolter 2009-01-28 11:57:10 EST
This package is in Fedora [1], but the review is '-'

[1] https://admin.fedoraproject.org/pkgdb/packages/name/ant-contrib
Comment 15 Alexander Kurtakov 2009-09-13 13:29:36 EDT
I've adopted this package and will like to get the review finished. I assume that this was a Merge Review.
Comment 16 Orcan Ogetbil 2009-10-01 03:32:17 EDT
I'll do the review in a couple (2 to n) weeks if no one wants to take it.
Comment 17 Jason Tibbitts 2009-10-07 20:40:47 EDT
Hmm, maybe this isn't a merge review.  This package has a proper review request and was accepted.  I assume this ticket was simply filed in error, because the package had been in the distro for several months when this ticket was submitted.

Orcan, of course you're welcome to look over the existing package and suggest improvements if you think that's a good use of your time.  We currently have no mechanism for doing re-reviews, however.

*** This bug has been marked as a duplicate of bug 193894 ***

Note You need to log in before you can comment on or make changes to this bug.